# @attrib https://de.m.wikipedia.org/wiki/Feiertage_in_Deutschland
holidays:
  DE:
    names:
      de: Deutschland
      en: Germany
    dayoff: sunday
    zones:
      - Europe/Berlin
    langs:
      - de
    days:
      01-01:
        _name: 01-01
      02-14:
        _name: 02-14
        type: observance
      easter -52:
        name:
          de: Weiberfastnacht
          en: Women's Carnival Day
        type: observance
      easter -48:
        name:
          de: Rosenmontag
          en: Shrove Monday
        type: observance
      'easter -47 14:00':
        _name: easter -47
        type: observance
      easter -46:
        _name: easter -46
        type: observance
      easter -3:
        _name: easter -3
        type: observance
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      easter 1:
        _name: easter 1
      05-01:
        _name: 05-01
        name:
          de: Maifeiertag
      2nd sunday in May:
        _name: Mothers Day
        type: observance
      easter 39:
        _name: easter 39
      easter 49:
        _name: easter 49
        type: observance
      easter 50:
        _name: easter 50
      10-03:
        _name: National Holiday
        name:
          de: Tag der Deutschen Einheit
      11-01:
        _name: 11-01
        type: observance
      11-02:
        _name: 11-02
        type: observance
      11-11:
        _name: 11-11
        type: observance
      wednesday before 11-23:
        _name: Buß- und Bettag
        type: observance
      6th sunday before 12-25:
        name:
          de: Volkstrauertag
          en: Memorial Day
        type: observance
      5th sunday before 12-25:
        name:
          de: Totensonntag
        type: observance
      4th sunday before 12-25:
        name:
          de: 1. Advent
        type: observance
      3th sunday before 12-25:
        name:
          de: 2. Advent
        type: observance
      2nd sunday before 12-25:
        name:
          de: 3. Advent
        type: observance
      1st sunday before 12-25:
        name:
          de: 4. Advent
        type: observance
      '12-24 14:00 if sunday then 00:00':
        _name: 12-24
        type: bank
      12-25:
        _name: 12-25
        name:
          de: 1. Weihnachtstag
      12-26:
        _name: 12-26
      '12-31 14:00 if sunday then 00:00':
        _name: 12-31
        type: bank
      '2017-10-31':
        _name: Reformation Day
    states:
      BB:
        name: Brandenburg
        days:
          easter:
            _name: easter
          easter 49:
            _name: easter 49
          10-31:
            _name: Reformation Day
      BE:
        name: Berlin
        days:
          03-08:
            _name: 03-08
            active:
              - from: 2019-01-01
          easter:
            _name: easter
            type: observance
          easter 49:
            _name: easter 49
            type: observance
          # @source: https://archiv.berliner-zeitung.de/berlin/parlamentsbeschluss-der-8--maerz-ist-nun-offiziell-ein-berliner-feiertag-31927822
          '2020-05-08':
            name:
              de: Tag der Befreiung (75. Jahrestag)
              en: Liberation Day (75th Anniversary)
      BW:
        name: Baden-Württemberg
        days:
          01-06:
            _name: 01-06
          easter -3:
            _name: easter -3
            type: school
          easter 60:
            _name: easter 60
          10-31:
            _name: Reformation Day
            type: school
          11-01:
            _name: 11-01
      BY:
        name: Bayern
        days:
          01-06:
            _name: 01-06
          02-02:
            _name: 02-02
            type: observance
          easter 60:
            _name: easter 60
          08-15:
            _name: 08-15
          11-01:
            _name: 11-01
          wednesday before 11-23:
            _name: Buß- und Bettag
            type: school
        regions:
          A:
            name: Stadt Augsburg
            days:
              08-08:
                name:
                  de: Augsburger Friedensfest
                  en: Augsburg Peace Festival
          EVANG:
            names:
              de: Überwiegend evangelische Gemeinden
              en: Predominantly protestant communities
            days:
              08-15:
                _name: 08-15
                type: school
      HB:
        name: Hansestadt Bremen
        days:
          '12-31 14:00 if sunday then 00:00':
            _name: 12-31
            type: public
          10-31:
            _name: Reformation Day
            active:
              - from: 2018-01-01
      HE:
        # @source http://www.rv.hessenrecht.hessen.de/cgi-bin/lexsoft/capi/hessen.cgi/export_pdf?docid=169523,1&hideVersionDate=1&shortTitleFileName=1&showVersionInfo=1&displayConfig=0&exportLawlist=1&customFooter=Hessische%20Gesetze%20und%20Verwaltungsvorschriften%20in%20Zusammenarbeit%20mit%20Wolters%20Kluwer%20Deutschland%20GmbH&at=1&pid=UAN_nv_3470
        name: Hessen
        days:
          easter 60:
            _name: easter 60
          '12-31 14:00 if sunday then 00:00':
            _name: 12-31
      HH:
        name: Hansestadt Hamburg
        days:
          10-31:
            _name: Reformation Day
            active:
              - from: 2018-01-01
      MV:
        name: Mecklenburg Vorpommern
        days:
          10-31:
            _name: Reformation Day
      NI:
        name: Niedersachsen
        days:
          10-31:
            _name: Reformation Day
            active:
              - from: 2018-01-01
      NW:
        name: Nordrhein-Westfalen
        days:
          easter 60:
            _name: easter 60
          11-01:
            _name: 11-01
      RP:
        name: Rheinland-Pfalz
        days:
          easter 60:
            _name: easter 60
          11-01:
            _name: 11-01
      SH:
        name: Schleswig-Holstein
        days:
          10-31:
            _name: Reformation Day
            active:
              - from: 2018-01-01
      SL:
        name: Saarland
        days:
          easter 60:
            _name: easter 60
          08-15:
            _name: 08-15
          11-01:
            _name: 11-01
      SN:
        name: Sachsen
        days:
          easter 60:
            _name: easter 60
            type: observance
          10-31:
            _name: Reformation Day
          wednesday before 11-23:
            _name: Buß- und Bettag
        regions:
          BZ:
            name: Landkreis Bautzen
            days:
              easter 60:
                _name: easter 60
                type: public
                note: Bautzen (nur in den Ortsteilen Bolbritz und Salzenforst), Crostwitz, Göda (nur im Ortsteil Prischwitz), Großdubrau (nur im Ortsteil Sdier), Hoyerswerda (nur im Ortsteil Dörgenhausen), Königswartha (nicht im Ortsteil Wartha), Nebelschütz, Neschwitz (nur in den Ortsteilen Neschwitz und Saritsch), Panschwitz-Kuckau, Puschwitz, Räckelwitz, Radibor, Ralbitz-Rosenthal und Wittichenau.
      ST:
        name: Sachsen-Anhalt
        days:
          01-06:
            _name: 01-06
          10-31:
            _name: Reformation Day
      TH:
        name: Thüringen
        days:
          easter 60:
            _name: easter 60
            type: observance
          09-20:
            # @source https://www.thueringer-landtag.de/service/presse/pressemitteilungen/weltkindertag-am-20-september-wird-gesetzlicher-feiertag/
            name:
              de: Weltkindertag
              en: International Children's Day
            active:
              - from: 2019
          10-31:
            _name: Reformation Day
          '12-31 14:00 if sunday then 00:00':
            _name: 12-31
        regions:
          EIC:
            name: Landkreis Eichfeld
            days:
              easter 60:
                _name: easter 60
                type: public
          UH:
            name: Unstrut-Hainich-Kreis
            days:
              easter 60:
                _name: easter 60
                type: public
                note: In Anrode (nur in den Ortsteilen Bickenriede und Zella), Dünwald (nur in den Ortsteilen Beberstedt und Hüpstedt), Rodeberg (nur im Ortsteil Struth), Südeichsfeld

          WAK:
            name: Wartburgkreis
            days:
              easter 60:
                _name: easter 60
                type: public
                note: In Brunnhartshausen (nur in den Ortsteilen Föhlritz und Steinberg), Buttlar, Geisa, Schleid, Zella/Rhön
